<?php
 
 
 

namespace PhpWA\Protocol\Proto\AIRichResponseDynamicMetadata;

use UnexpectedValueException;




class AIRichResponseDynamicMetadataType
{
    


    const AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_UNKNOWN = 0;
    


    const AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_IMAGE = 1;
    


    const AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_GIF = 2;

    private static $valueToName = [
        self::AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_UNKNOWN => 'AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_UNKNOWN',
        self::AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_IMAGE => 'AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_IMAGE',
        self::AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_GIF => 'AI_RICH_RESPONSE_DYNAMIC_METADATA_TYPE_GIF',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

